Retrieve Git tags

GET https://{controlplane_path}/api/1/rest/public/apim/git-tag/{path_to_apiversion_or_service}      
Important: This API works for both Classic and APIM 3.0 assets.

Overview

Retrieve the list of Git tags associated with the commit that is currently tracked by the Classic API version or APIM 3.0 Service. This API retrieves the tags directly from GitHub or GHES.

Prerequisites

  • Write access to the API version
  • Git hosting provider requirements:
    • The environment (Org) must be correctly configured to use a Git hosting provider supported by SnapLogic.
    • The user must have an authenticated account with the Git hosting provider.
    • The project has checked out a Git repository.

    Learn more: SnapLogic - Git Integration

Limitations

  • You can't use SnapLogic service accounts to call any of the SnapLogic API Management Git operation APIs.

Request

 GET https://{controlplane_path}/api/1/rest/public/apim/git-tag/{path_to_apiversion_or_service}

Example

This example uses basic authentication. For a JWT example, refer to Authentication.

curl -X 'GET' \
  'https://elastic.snaplogic.com/api/1/rest/public/apim/git-tag/acme/apim/BookStore/1.0' \
  -H 'Authorization: Basic {base64_encoded email:password}'

Path parameters

Key Description
controlplane_path Required. The path to the SnapLogic control plane: elastic.snaplogic.com
For the UAT or EMEA control plane, substitute the name for elastic. For example:
  • uat.elastic.snaplogic.com
  • emea.snaplogic.com
path_to_apiversion Required. The path to the SnapLogic API version.

Format: /org_name/apim/api/apiversion

Important: The path comparison is case-sensitive.

Query parameters

None.

Request header

Use the application/json content type with basic authentication (email and password) or a JWT. For examples, refer to Authentication.

Request body

None.

Response

 {
  "response_map": [
    {
      "tag": "apiversion_tag",
      "commit_sha": "4dd92e750bd4d9be305c3d94479bc50bf853dfc5"
    },
    ...
  ],
  "http_status_code": 200
}
Key Type Description
tag string The specified git tag.
commit_sha string The unique ID of the commit.

Error handling

HTTP status codes Message Resolution
400 Org not found for the user Verify the Org name in the API version path is correct.
401 Unauthorized Verify your credentials and permissions.